Subject: bug#2410: 23.0.90; tramp: spurious ftp-error

From: Chong Yidong <[email-masked]>
Date: Sat, 21 Feb 2009 10:02:23 -0500

> When I use Tramp to do an ftp transfer from Dired, I get error messages
> like this:
>
> Copy `/local/path/of/source/file' to
> `/ftp:[email-masked]:/remote/path/of/destination/file' failed:
> (ftp-error FTP Error: DIR failed: usage: ls [remote-path [local-file]])
>
> However, the file transer was in fact successful.  This started
> happening some time within the last two or three weeks, I believe,
> though I cannot date it precisely.

I can't reproduce this easily, since I don't have access to an FTP
server for testing.  Could you try bisecting prior revisions to find
when this bug first appeared?

Thanks.